apache-mod_expires-2.4.23-1-omv2015.0.x86_64.rpm


Advertisement

Description

apache-mod_expires - Generation of Expires and Cache-Control HTTP headers

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release x86_64
Package name apache-mod_expires
Package version 2.4.23
Package release 1-omv2015.0
Package architecture x86_64
Package type rpm
Installed size 14.53 KB
Download size 8.58 KB
Official Mirror abf-downloads.openmandriva.org
This module controls the setting of the Expires HTTP header and the
max-age directive of the Cache-Control HTTP header in server responses.
The expiration date can set to be relative to either the time the source
file was last modified, or to the time of the client access.
These HTTP headers are an instruction to the client about the document's
validity and persistence. If cached, the document may be fetched from the
cache rather than from the source until this time has passed. After that,
the cache copy is considered "expired" and invalid, and a new copy must be
obtained from the source.
To modify Cache-Control directives other than max-age (see RFC 2616 section
14.9), you can use the Header directive.
When the Expires header is already part of the response generated by the
server, for example when generated by a CGI script or proxied from an origin
server, this module does not change or add an Expires or Cache-Control header.

Alternatives

Package Version Architecture Repository
apache-mod_expires-2.4.34-1-omv2015.0.i586.rpm 2.4.34 i586 OpenMandriva Main Updates
apache-mod_expires-2.4.34-1-omv2015.0.x86_64.rpm 2.4.34 x86_64 OpenMandriva Main Updates
apache-mod_expires-2.4.23-1-omv2015.0.i586.rpm 2.4.23 i586 OpenMandriva Main Release
apache-mod_expires-2.4.20-1-omv2015.0.i586.rpm 2.4.20 i586 OpenMandriva Main Release
apache-mod_expires-2.4.18-1-omv2015.0.i586.rpm 2.4.18 i586 OpenMandriva Main Release
apache-mod_expires-2.4.18-1-omv2015.0.x86_64.rpm 2.4.18 x86_64 OpenMandriva Main Release
apache-mod_expires - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -

Provides

Name Value
apache-mod_expires == 2.4.23-1:2015.0
config(apache-mod_expires) == 0:2.4.23-1:2015.0
mod_expires.so()(64bit) -

Conflicts

Name Value
apache-modules < 2.4.0

Download

Type URL
Binary Package apache-mod_expires-2.4.23-1-omv2015.0.x86_64.rpm
Source Package apache-2.4.23-1.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install apache-mod_expires rpm package:
    # urpmi apache-mod_expires

Files

Path
/etc/httpd/modules.d/058_mod_expires.conf
/usr/lib64/apache/mod_expires.so

See Also

Package Description
apache-mod_ext_filter-2.4.18-1-omv2015.0.x86_64.rpm Pass the response body through an external program before delivery
apache-mod_ext_filter-2.4.23-1-omv2015.0.x86_64.rpm Pass the response body through an external program before delivery
apache-mod_fastcgi-2.4.7-9-omv2015.0.x86_64.rpm DSO module for the apache Web server
apache-mod_fcgid-2.3.6-13-omv2015.0.x86_64.rpm Apache module for FastCGI
apache-mod_file_cache-2.4.18-1-omv2015.0.x86_64.rpm Caches a static list of files in memory
apache-mod_file_cache-2.4.23-1-omv2015.0.x86_64.rpm Caches a static list of files in memory
apache-mod_filter-2.4.18-1-omv2015.0.x86_64.rpm Context-sensitive smart filter configuration module
apache-mod_filter-2.4.23-1-omv2015.0.x86_64.rpm Context-sensitive smart filter configuration module
apache-mod_headers-2.4.18-1-omv2015.0.x86_64.rpm Customization of HTTP request and response headers
apache-mod_headers-2.4.23-1-omv2015.0.x86_64.rpm Customization of HTTP request and response headers
apache-mod_heartbeat-2.4.18-1-omv2015.0.x86_64.rpm sends messages with server status to frontend proxy
apache-mod_heartbeat-2.4.23-1-omv2015.0.x86_64.rpm sends messages with server status to frontend proxy
apache-mod_heartmonitor-2.4.18-1-omv2015.0.x86_64.rpm centralized monitor for mod_heartbeat origin servers
apache-mod_heartmonitor-2.4.23-1-omv2015.0.x86_64.rpm centralized monitor for mod_heartbeat origin servers
apache-mod_http2-2.4.18-1-omv2015.0.x86_64.rpm Provides HTTP2 Support
Advertisement
Advertisement